Bug 1284217 - depends are incorrect
Summary: depends are incorrect
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: compiz
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-22 00:57 UTC by Richard Jasmin
Modified: 2015-12-01 19:50 UTC (History)
1 user (show)

Fixed In Version: compiz-0.8.9-2.fc23 compiz-0.8.9-2.fc21 compiz-0.8.9-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-24 19:51:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Richard Jasmin 2015-11-22 00:57:12 UTC
Description of problem:
compiz wants fedora-logos but doesnt have a specific need for it. Obviously this will create conflict when generic-logos are installed and you will have to allow erasing as best effort to fix this. This issue will not discover itself unless you do so, compiz will just be broken. There are two reasons why.

The first is another bug: multi-arch is busted.Like with libusbx, someone somewhere broke it.

This will break non-free spins, as this now breaks the licence and branding arrangement.However, it does not remove the generic logos nor change them.Users will not see the effect of the change.Obviously this is also an oversight.

The removed package is still apparently present.Im still getting the hot dog.Maybe thats another package doing the override.

Will someone tell me why a 3D window compositor manager has to rely on fedora logo? This shouldnt be needed. Compose, window, nevermind the logo.

Version-Release number of selected component (if applicable):
22+

How reproducible:
on update

Steps to Reproduce:
1.install something (i use 22 from about a week or so ago)
installed os MUST USE: generic-logos

2.update


Actual results:
compiz will yell and scream and kick at you.
multi-arch will still be busted.

Expected results:
wheres my update?

Comment 1 Wolfgang Ulbrich 2015-11-22 13:54:35 UTC
Well, the fedora-logo is used by the cube plugin.
With 0.89 fixed non existent runtime require system-logos and switched to fedora-logos.
But this is wrong, i will remove the dependency.
fedora-logo or generic-logos are always installed.
Thanks for the hint.

Comment 2 Fedora Update System 2015-11-22 14:21:48 UTC
compiz-0.8.9-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-29b1658493

Comment 3 Fedora Update System 2015-11-22 14:22:53 UTC
compiz-0.8.9-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1fee3015eb

Comment 4 Fedora Update System 2015-11-22 14:23:56 UTC
compiz-0.8.9-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7380f98bcf

Comment 5 Fedora Update System 2015-11-24 00:24:02 UTC
compiz-0.8.9-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update compiz'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7380f98bcf

Comment 6 Fedora Update System 2015-11-24 00:54:48 UTC
compiz-0.8.9-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update compiz'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1fee3015eb

Comment 7 Fedora Update System 2015-11-24 02:24:12 UTC
compiz-0.8.9-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update compiz'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-29b1658493

Comment 8 Fedora Update System 2015-11-24 19:51:14 UTC
compiz-0.8.9-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-11-24 22:49:36 UTC
compiz-0.8.9-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-12-01 19:50:22 UTC
compiz-0.8.9-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.